open Client

let test (env : F.nominal_datatype_env) (t : F.nominal_term) =
  Printf.printf "Formatting the System F term...\n%!";
  let doc = PPrint.(FPrinter.print_term t ^^ hardline) in
  Printf.printf "Pretty-printing the System F term...\n%!";
  PPrint.ToChannel.pretty 0.9 80 stdout doc;
  let env : F.debruijn_datatype_env =
    F.translate_env env in
  print_string "Converting the System F term to de Bruijn style...\n";
  let t : F.debruijn_term =
    F.Term.translate t in
  print_string "Type-checking the System F term...\n";
  let _ty : F.debruijn_type =
      FTypeChecker.typeof env t
  in
  ()
